MultipartHttpServletRequest (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.web.multipart

## Interface MultipartHttpServletRequest

- All Superinterfaces:
    HttpServletRequest, MultipartRequest, ServletRequest
  All Known Implementing Classes:
    AbstractMultipartHttpServletRequest, DefaultMultipartHttpServletRequest, MockMultipartHttpServletRequest, StandardMultipartHttpServletRequest

      public interface MultipartHttpServletRequest
      extends HttpServletRequest, MultipartRequest

  Provides additional methods for dealing with multipart content within a servlet request, allowing to access uploaded files. Implementations also need to override the standard `ServletRequest` methods for parameter access, making multipart parameters available.

  A concrete implementation is `DefaultMultipartHttpServletRequest`. As an intermediate step, `AbstractMultipartHttpServletRequest` can be subclassed.

  Since:
    29.09.2003
  Author:
    Juergen Hoeller, Trevor D. Cook
  See Also:
    `MultipartResolver`, `MultipartFile`, `ServletRequest.getParameter(java.lang.String)`, `ServletRequest.getParameterNames()`, `ServletRequest.getParameterMap()`, `DefaultMultipartHttpServletRequest`, `AbstractMultipartHttpServletRequest`

- - ### Field Summary

    - ### Fields inherited from interface javax.servlet.http.HttpServletRequest

      `BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `HttpHeaders` | `getMultipartHeaders(String paramOrFileName)` Return the headers associated with the specified part of the multipart request.
    `HttpHeaders` | `getRequestHeaders()` Return this request's headers as a convenient HttpHeaders instance.
    `HttpMethod` | `getRequestMethod()` Return this request's method as a convenient HttpMethod instance.

    - ### Methods inherited from interface javax.servlet.http.HttpServletRequest

      `authenticate, getAuthType, getContextPath, getCookies, getDateHeader, getHeader, getHeaderNames, getHeaders, getIntHeader, getMethod, getPart, getParts, getPathInfo, getPathTranslated, getQueryString, getRemoteUser, getRequestedSessionId, getRequestURI, getRequestURL, getServletPath, getSession, getSession, getUserPrincipal, isRequestedSessionIdFromCookie, isRequestedSessionIdFromUrl, isRequestedSessionIdFromURL, isRequestedSessionIdValid, isUserInRole, login, logout`

    - ### Methods inherited from interface javax.servlet.ServletRequest

      `getAsyncContext, getAttribute, getAttributeNames, getCharacterEncoding, getContentLength, getContentType, getDispatcherType, getInputStream, getLocalAddr, getLocale, getLocales, getLocalName, getLocalPort, getParameter, getParameterMap, getParameterNames, getParameterValues, getProtocol, getReader, getRealPath, getRemoteAddr, getRemoteHost, getRemotePort, getRequestDispatcher, getScheme, getServerName, getServerPort, getServletContext, isAsyncStarted, isAsyncSupported, isSecure, removeAttribute, setAttribute, setCharacterEncoding, startAsync, startAsync`

    - ### Methods inherited from interface org.springframework.web.multipart.MultipartRequest

      `getFile, getFileMap, getFileNames, getFiles, getMultiFileMap, getMultipartContentType`

- - ### Method Detail

    - #### getRequestMethod

          HttpMethod getRequestMethod()

      Return this request's method as a convenient HttpMethod instance.

    - #### getRequestHeaders

          HttpHeaders getRequestHeaders()

      Return this request's headers as a convenient HttpHeaders instance.

    - #### getMultipartHeaders

          HttpHeaders getMultipartHeaders(String paramOrFileName)

      Return the headers associated with the specified part of the multipart request.

      If the underlying implementation supports access to headers, then all headers are returned. Otherwise, the returned headers will include a 'Content-Type' header at the very least.